unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ELstBox, Buttons;

type
  TForm1 = class(TForm)
    EvListBox1: TEvListBox;
    EvListBox2: TEvListBox;
    Panel1: TPanel;
    Label1: TLabel;
    GroupBox1: TGroupBox;
    CbxLinha: TCheckBox;
    CbxMover: TCheckBox;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    CbxDeletar: TCheckBox;
    CbxRepetir: TCheckBox;
    procedure CbxLinhaClick(Sender: TObject);
    procedure CbxMoverClick(Sender: TObject);
    procedure CbxDeletarClick(Sender: TObject);
    procedure CbxRepetirClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure EvListBox1BeforeDrawItem(Sender: TObject; Index: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.CbxLinhaClick(Sender: TObject);
begin
  EvListBox1.ShowDivider := CbxLinha.Checked;
  EvListBox2.ShowDivider := CbxLinha.Checked;
end;

procedure TForm1.CbxMoverClick(Sender: TObject);
begin
  EvListBox1.CanMoveItem := CbxMover.Checked;
  EvListBox2.CanMoveItem := CbxMover.Checked;
end;

procedure TForm1.CbxDeletarClick(Sender: TObject);
begin
  EvListBox1.DeleteDragged := CbxDeletar.Checked;
  EvListBox2.DeleteDragged := CbxDeletar.Checked;
end;

procedure TForm1.CbxRepetirClick(Sender: TObject);
begin
  EvListBox1.CanRepeatDragged := CbxRepetir.Checked;
  EvListBox2.CanRepeatDragged := CbxRepetir.Checked;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  EvListBox1.MoveItemDown;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  EvListBox1.MoveItemUp;
end;

procedure TForm1.EvListBox1BeforeDrawItem(Sender: TObject; Index: Integer);
var
  S: string;
begin
  S := TEvListBox(Sender).Items[Index];
  if Copy(S, 1, 26) = 'Sebastio Elivaldo Ribeiro' then
    begin
      TEvListBox(Sender).Canvas.Brush.Color := $00CEEEFF;
      TEvListBox(Sender).Canvas.Font.Color := clNavy;
      TEvListBox(Sender).Canvas.Font.Style := [fsBold]
    end;
end;

end.
