unit Unit1;

interface

uses
  Windows, SysUtils, Messages, Classes, Graphics, Controls, Forms, Dialogs, 
  ExtCtrls, StdCtrls, EChkGrp;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    CheckGroup1: TEvCheckGroup;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  I: Integer;
begin
  for I := 1 to CheckGroup1.Items.Count do
    CheckGroup1.SetState(I - 1, cbChecked);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  I: Integer;
begin
  for I := 1 to CheckGroup1.Items.Count do
    CheckGroup1.SetState(I - 1, cbUnChecked);
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  I, Marc: Integer;
  S: string;
  Plural: Boolean;
begin
  {conta quantos estao marcados}
  Marc := 0;
  for I := 1 to CheckGroup1.Items.Count do
    if CheckGroup1.State(I - 1) = cbChecked then
      Inc(Marc);
  {gera texto}
  Plural := (Marc > 1);
  S := '';
  for I := 1 to CheckGroup1.Items.Count do
    if CheckGroup1.State(I - 1) = cbChecked then
      begin
        S := S + CheckGroup1.Items[I - 1];
        if Marc > 2 then
          S := S + ', '
        else if Marc = 2 then
          S := S + ' e ';
        Dec(Marc);
      end;
  {apresenta}
  if S = '' then
    ShowMessage('Nenhum dia est selecionado.' + #10)
  else if Plural then
    ShowMessage('Os seguintes dias esto selecionados: ' + #10#10 + S + '.' + #10)
  else
    ShowMessage('O seguinte dia est selecionado: ' + #10#10 + S + '.' + #10);
end;

end.
